@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@300;400;500;600;700&family=Saira:,wght@700&display=swap');
:root{
  --primary-color: #007bff;
  --secondary-color:#131373;
  --gray: #6c757d;
  --background-primary: #f0f0f0;
} 
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html{
  scroll-behavior: smooth;
}
body{
  font-family: "Poppins", sans-serif;
}

h1,
h2 {
      font-family: "Saira", sans-serif;
}
ul{
  list-style: none;

}

a {
  text-decoration: none;
/* =================== */
}
.highlight{
  color: var(--primary-color);
}
.content-title,  #services h3{
  color: var(--secondary-color);
}
.btn-primary{
  color: #fff;
  background-color: var(--secondary-color);
  padding: 8px 20px;
  border-radius: 5px; 
  border: none;
  cursor: pointer;
  font-size: 14px;
  transition: all 0.3s ease;

}
.btn-primary:hover
{
  background-color: rgb(5, 135, 70);
  transform: scale(1.05);
}

.container{
  max-width: 1100px;
  margin:  auto;
  padding: 0 2rem;
}
/* ===================== */
#home{
  background-color: var(--background-primary);
  height: 100vh;

}
#home .navbar{
  background-color: #fff;
  border-bottom: 1px solid #ccc;
  position: fixed;;
  width: 100%;
  z-index: 1;  

}

#home .navbar nav{
display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 1100px;
  padding: 1.5rem 2rem;
  margin: 0 auto;
 }

 #home #logo{
  font-size: 24px;
  font-weight: 600;
  color: var(--primary-color);
 }
#home .navbar nav ul{
display: flex;
justify-content: space-between;
align-items: center;
}
#home .navbar nav ul a{
  margin: 0 15px;
  color: var(--primary-color);
  font-weight: 600;
}

#home .header-content{
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  max-width: 1100px;
  margin: 0 auto; 
  padding:5rem 2rem 0;
  height: 100%;
}
#home .header-content .text-content{
 
margin-bottom: 5rem;
}  
#home .header-content img{
max-width: 500px;
}

#home .header-content p span{
  font-weight: 700;
  font-size: 20px ;
}
#home .header-content h1{
  font-size: 58px;
  margin-top: 10px;
  color: var(--primary-color);
  text-shadow:3px 3px 3px rgba(0, 0, 0, 0.2) ;

}
#home .header-content .job-title{
  margin: 10px 0;
  color: var(--primary-color);
  font-size: 18px;
  font-weight: 500;
} 
#home  .header-content .social{
  display: flex;
  padding: 20px 0px;
  margin-top: 1rem 0 2rem;
}
#home  .header-content .social a i
{
  font-size: 18px;
  background-color: var(--gray);
  color: #fff;
  margin-right: 10px;
  border-radius: 50%;
  transition: all 0.3s ease;
}
#home  .header-content .social a i:hover{

  transform: scale(0.85);
}

/* About Start */
#about, #skills, #services{
  padding: 6rem 0;
}
#about h2, #skills h2, 
#services h2, 
#contact h2{
  text-align: center;
  font-size: 36px;
  color: var(--primary-color);
  font-weight: 600 ;
  letter-spacing: 1px;
}
#about hr, 
#skills hr, 
#services hr, 
#contact hr{
  width: 100px;
  height: 3px;
  background-color: var(--primary-color);
  border: none;
  margin: 5px auto 0;
}

#about .about-content{
  display: grid;
  grid-template-columns: 2fr 1fr;
  margin: 2rem auto 0;
  column-gap: 3rem;
}
  
#about .about-content .col-1 h3{
  font-size: 28px;
  color: var(--primary-color);
  margin-bottom: 20px;
}

#about .about-content .col-1 p{
  font-size: 16px;
  color: var(--gray);
  line-height: 1.6;
  margin-bottom: 20px;
}

#about .about-content .col-2 p{
  font-size: 16px;
  color: var(--gray);
  line-height: 1.6;
  margin-bottom: 20px;
  padding-bottom:  5px;
  border-bottom: 1px solid #ccc ;

}

/* About End */

/* Skills Start */
#skills{
  background-color: #131373;
}
#skills h2{
  color: #fff;
  font-family: 'poppins', sans-serif;
}
#skills .skills-content{
  background-color: rgb(13, 21, 129);
  margin-top: 2rem;
}
 
#skills .skills-content .row{
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  align-items: center;
  text-align: center ;
}

#skills .skills-content .row .item{
color: #fff;
background-color: #000;
margin: 20px;
padding: 1rem;
border-radius:10px;
font-size:16px ;
font-weight: 500;
transition: all 0.3s ease ;
}
/* 
  #skills .skills-content .row .item:nth-child(2){
  max-width: 200px;
}   */
#skills .skills-content .row .item:hover{
box-shadow: hsl(63, 97%, 49%) 0px 0px 10px ;
}

#skills .skills-content .row img {
  max-width: 35px;
}


/* Skills End */

/* Services Section  */


#services {
  background-color: #ebf9fb;

}
 
#services .services-content {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  align-items: center;
  text-align: center ;
  /* background-color: #fff; */
  margin: 2rem auto 0;
  /* column-gap: 20px; */

}
#services .services-content .item{
  background-color: #f0f0f0;
  margin: 20px;
  padding: 1rem;
  border-radius: 5px;
  transition: all 0.3s ease ;
  box-shadow:2px 2px 5px rgba(0, 0, 0, 0.1);

}
#services .services-content .item p{
  font-size:14px;
}

#services .services-content .item h3{
margin: 10px 0;
}
#services .services-content .item:hover{
  transform:  scale(1.05); ;
    /* box-shadow: hsl(224, 64%, 29%) 0px 0px 5px; */
}


#services .services-content  img{
  max-width: 70px;
}



/* Services End */


/* contact */
#contact{
  padding: 4rem 0;
  background-color: #f0f0f0;
}

#contact .contact-content{
  margin-top: 4rem ;
  display: grid;
  grid-template-columns: 2fr 1fr;
  column-gap: 2rem;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
  background: #fff;
  padding: 2rem 3rem;
  border-radius: 10px;
}
/* #contact .contact-content img{
  max-width: 100%;
  margin-bottom: 20px;
} */
#contact .contact-content img{

  max-width: 70%;

}
#contact .contact-content input, #contact .contact-content textarea{
  display: block;
  width: 100%;
  padding: 10px;
  margin: 20px 0;
  outline: none;
  background-color: #f0f0f0;
  border: 1px solid #ccc;
  border-radius: 5px;

}

 #contact .contact-content textarea{
  resize: none;
  height: 150px;
 }

 #footer{
  text-align: center;
  padding: 20px 0;
  background-color: #131373;
  color: #fff;
  font-size: 14px;
 }

 /*============== End=========== */
 /* Tablet Resolution */
  @media (max-width: 768px) {
    #home .navbar nav {
      display: block;
      text-align: center;
    } 
    #home .navbar nav ul{
      margin-top:20px ;
    }
    #home .navbar nav ul a {
      margin: 0 8px;
    }
   #home .header-content {
     grid-template-columns: 1fr;
    }
  #home .header-content .text-content{
     margin-bottom:0 ;
     margin-top:5rem ;
     height: auto;
  }
  #home .header-content img{
    max-width: 300px;
    margin: 0 auto;
  }
   #about .about-content,#contact .contact-content{
     grid-template-columns: 1fr;
     text-align: center;
   }
   #contact .contact-content{
     grid-template-columns: 1fr;
     text-align: center;
   }
   #contact .contact-content img{
     max-width: 70%;
     margin:0 ;
   }  
   #home .header-content h1{
      font-size: 45px;
    }
    #about .about-content{
    grid-template-columns: 1fr;
    row-gap: 3rem;
    text-align:left
    
    }
   #skills .skills-content .row,
    #services .services-content{
    grid-template-columns: repeat(2, 1fr);
   }
   #contact .contact-content img{
    margin: auto;
    max-width: 100%;

   }
} 
 
    /* Mobile Resolution */
  @media (max-width: 480px) {
    #home .header-content h1{
      font-size: 40px;
    }
    #home .header-content img{
      max-width: 100%;
    }
    #skills .skills-content .row,
    #services .services-content{
      grid-template-columns: 1fr;
    }


  }